Bug 7024 - Can't delete other library's messages to the patron with AllowAllMessageDeletion on
Summary: Can't delete other library's messages to the patron with AllowAllMessageDelet...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-13 13:55 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (2.23 KB, patch)
2011-10-13 14:12 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 7024 - Can't delete other library's messages with AllowAllMessageDeletion on (2.27 KB, patch)
2011-10-14 13:44 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-13 13:55:51 UTC
To see the bug:

1. Add a message from the checkout screen to the patron (as opposed to "other librarians").
2. Turn on the AllowAllMessageDeletion preference.
3. Switch to another branch and view the patron's checkout screen.

The message you added which was "to the patron" will lack a [Delete] link.
Comment 1 Owen Leonard 2011-10-13 14:12:12 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-10-14 13:44:26 UTC
Created attachment 5892 [details] [review]
[SIGNED-OFF] Fix for Bug 7024 - Can't delete other library's messages with AllowAllMessageDeletion on

The display of messages "to the patron" on the checkout screen
lacked the same logic controlling messages "to other librarians,"
affecting conditions under which the [Delete] link would be shown.
This match makes the two categories consistent with each other:
A delete link will be shown if the logged in branch matches the
branch where the message was set OR if AllowAllMessageDeletion
is turned on.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Ian Walls 2011-10-14 13:51:22 UTC
Template only change, easy to read.  While this does introduce a string, it's the same string "[Delete]" that already exists in conditions of the code, so no new translation is required.  Marking as Passed QA
Comment 4 Chris Cormack 2011-10-15 07:25:20 UTC
Pushed please test